Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infrastructure.lookandfeel
Class LookAndFeelHandler

    java.lang.Object
      infrastructure.lookandfeel.LookAndFeelHandler

public class LookAndFeelHandler
extends java.lang.Object

A look and feel handler class can be used to change the look and feel of java swing applications on the fly. It also manages the various 'themepacks'. It will provide a list of all available themepacks and provide methods to load and manage themepacks. It uses proprietary class libraries from L2F productions and jgoodies.

Method Summary
`java.lang.String[]` | `getAllInstalledLookAndFeels()` Returns all the installed look and feels in the installation directory.
`java.lang.String` | `getCurrentLookAndFeel()` Returns the current look and feel
`static LookAndFeelHandler` | `getInstance()` LookAndFeelHandler class is a singleton class.
`void` | `setDefaultLookAndFeel()` Sets the default look and feel which is Java Metal look and feel
`void` | `setJavaMetalLookAndFeel()` Sets the Java metal look and feel
`void` | `setJavaMotifLookAndFeel()` Sets the Java motif look and feel
`void` | `setLookAndFeel(java.lang.String lookAndFeel)` Sets the look and feel to use
`void` | `setThemepackInstallationDirectory(java.lang.String installationDirectory)` Set the directory where the themepacks are installed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static LookAndFeelHandler getInstance()

  LookAndFeelHandler class is a singleton class. Call this method to get an instance of the LookAndFeelHandler singleton object

  Returns:

### setThemepackInstallationDirectory

    public void setThemepackInstallationDirectory(java.lang.String installationDirectory)

  Set the directory where the themepacks are installed. If this is not set, it defaults to the current directory.

  Parameters:
    `installationDirectory` -

### setLookAndFeel

    public void setLookAndFeel(java.lang.String lookAndFeel)

  Sets the look and feel to use

  Parameters:
    `lookAndFeel` -

### setDefaultLookAndFeel

    public void setDefaultLookAndFeel()

  Sets the default look and feel which is Java Metal look and feel

### setJavaMetalLookAndFeel

    public void setJavaMetalLookAndFeel()

  Sets the Java metal look and feel

### setJavaMotifLookAndFeel

    public void setJavaMotifLookAndFeel()

  Sets the Java motif look and feel

### getAllInstalledLookAndFeels

    public java.lang.String[] getAllInstalledLookAndFeels()

  Returns all the installed look and feels in the installation directory. Also returns the java metal look and feel and the system specific look and feel. Example:
  It returns the installed look and feels as well as 'Java metal' and 'Windows/Linux'.

  Returns:

### getCurrentLookAndFeel

    public java.lang.String getCurrentLookAndFeel()

  Returns the current look and feel

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD